package ru.yandex.webmaster3.internal.user.domain.common;

import ru.yandex.webmaster3.internal.common.request.AbstractUserRequest;
import ru.yandex.webmaster3.internal.user.domain.DomainVerificationState;

/**
 * @author avhaliullin
 */
public class AbstractUserAddedDomainRequest extends AbstractUserRequest implements AddedDomainAwareRequest {
    private String domain;
    private DomainVerificationState domainVerificationState;

    @Override
    public String getDomain() {
        return domain;
    }

    @Override
    public void setDomain(String domain) {
        this.domain = domain;
    }

    @Override
    public DomainVerificationState getDomainVerificationState() {
        return domainVerificationState;
    }

    @Override
    public void setDomainVerificationState(DomainVerificationState domainVerificationState) {
        this.domainVerificationState = domainVerificationState;
    }
}
